[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TSimpleIPCClient.Connect

Connect to the server

## Declaration

Source position: simpleipc.pp line 264

`public procedure TSimpleIPCClient.Connect;`

## Description

Connect connects to the server indicated in the ServerID and InstanceID properties. Connect is called automatically if the Active property is set to True.

After a successful call to Connect, messages can be sent to the server using SendMessage or SendStringMessage.

Calling Connect if the connection is already open has no effect.

## Errors

If creating the connection fails, an EIPCError exception may be raised.

## See also

ServerID |  | Unique server identification
InstanceID
Active |  | Communication channel active
SendMessage |  | Send a message to the server
SendStringMessage |  | Send a string message to the server
Disconnect |  | Disconnect from the server